Solved Server does not accept new plugins

Discussion in 'Bukkit Help' started by Setes, Nov 8, 2019.

  1. Offline

    Setes

    Whenever I upload a new plugin no matter which one there is always the same error message.


    Code:
    [18:09:24 ERROR]: Could not load 'plugins/PlugMan.jar' in folder 'plugins'
    
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
    
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:167) ~[spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:137) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at org.bukkit.craftbukkit.v1_13_R2.CraftServer.loadPlugins(CraftServer.java:325) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at net.minecraft.server.v1_13_R2.DedicatedServer.init(DedicatedServer.java:213) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at net.minecraft.server.v1_13_R2.MinecraftServer.run(MinecraftServer.java:698) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_212]
    
    Caused by: java.util.zip.ZipException: error in opening zip file
    
    at java.util.zip.ZipFile.open(Native Method) ~[?:1.8.0_212]
    
    at java.util.zip.ZipFile.<init>(ZipFile.java:225) ~[?:1.8.0_212]
    
    at java.util.zip.ZipFile.<init>(ZipFile.java:155) ~[?:1.8.0_212]
    
    at java.util.jar.JarFile.<init>(JarFile.java:166) ~[?:1.8.0_212]
    
    at java.util.jar.JarFile.<init>(JarFile.java:130) ~[?:1.8.0_212]
    
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:155) ~[spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    ... 5 more 
     
  2. Offline

    KarimAKL

    @Setes That's a problem with the plugin "PlugMan", i don't think i've ever seen an error like that though.
     
  3. Offline

    Setes

    @KarimAKL No, unfortunately not I have the same with worldguard, multiverse and others. It's every time I upload a new plugin.
    Example:
    If I remove an already loaded plugin (previously it worked) and upload the same file as the first time, this error occurs. (Backup has already been tried).
    Update:

    now it get to this:
    Code:
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
    
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:167) ~[spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:137) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at org.bukkit.craftbukkit.v1_13_R2.CraftServer.loadPlugins(CraftServer.java:325) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at org.bukkit.craftbukkit.v1_13_R2.CraftServer.reload(CraftServer.java:807) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at org.bukkit.Bukkit.reload(Bukkit.java:604) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:28) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at org.bukkit.craftbukkit.v1_13_R2.CraftServer.dispatchCommand(CraftServer.java:704) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at org.bukkit.craftbukkit.v1_13_R2.CraftServer.dispatchServerCommand(CraftServer.java:689) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at net.minecraft.server.v1_13_R2.DedicatedServer.handleCommandQueue(DedicatedServer.java:459) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at net.minecraft.server.v1_13_R2.DedicatedServer.b(DedicatedServer.java:418) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at net.minecraft.server.v1_13_R2.MinecraftServer.a(MinecraftServer.java:831) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at net.minecraft.server.v1_13_R2.MinecraftServer.run(MinecraftServer.java:729) [spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    at java.lang.Thread.run(Unknown Source) [?:?]
    
    Caused by: java.util.zip.ZipException: zip END header not found
    
    at java.util.zip.ZipFile$Source.zerror(Unknown Source) ~[?:?]
    
    at java.util.zip.ZipFile$Source.findEND(Unknown Source) ~[?:?]
    
    at java.util.zip.ZipFile$Source.initCEN(Unknown Source) ~[?:?]
    
    at java.util.zip.ZipFile$Source.<init>(Unknown Source) ~[?:?]
    
    at java.util.zip.ZipFile$Source.get(Unknown Source) ~[?:?]
    
    at java.util.zip.ZipFile$CleanableResource.<init>(Unknown Source) ~[?:?]
    
    at java.util.zip.ZipFile$CleanableResource.get(Unknown Source) ~[?:?]
    
    at java.util.zip.ZipFile.<init>(Unknown Source) ~[?:?]
    
    at java.util.zip.ZipFile.<init>(Unknown Source) ~[?:?]
    
    at java.util.jar.JarFile.<init>(Unknown Source) ~[?:?]
    
    at java.util.jar.JarFile.<init>(Unknown Source) ~[?:?]
    
    at java.util.jar.JarFile.<init>(Unknown Source) ~[?:?]
    
    at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:155) ~[spigot-1.13.2.jar:git-Spigot-1a3504a-dfa7583]
    
    ... 13 more 
     
    Last edited: Nov 8, 2019
  4. Online

    timtower Moderator Moderator

    @Setes How are you uploading the jars?
     
  5. Offline

    Setes

    Ok, it's turned out that there was an uploading problem. I could fix it by the kind of uploading.
    So it's all okay now. Thanks for helping.
     

Share This Page